Subject: Re: bug#48496: Guix reconfigure fails to switch to new system

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Jun 2021 22:47:25 +0200

Hello,

Simon Streit <[email-masked]> skribis:

> Simon Streit <[email-masked]> writes:
>> I just managed to reproduce this very same error message after
>> downgrading to commit a67c00f4f7ee0a70fce14a7e1907cce332c85813 (I lost
>> the previous system a couple of days ago), and it threw this error after
>> trying to reconfigure.  Given that it is complaining about srfi-1, I
>> disabled everything that was relevant to it, and it still fails.
>
> I just did another test on another machine with this commit, and I
> noticed, that despite that this error message happens, the system
> generation is still put up:
>
> Generation 46	Jun 01 2021 18:55:05	(current)
>   file name: /var/guix/profiles/system-46-link
>   canonical file name: /gnu/store/6nrj5zd9zar1n332f2s4wqpxm4rsjb4x-system
>   label: GNU with Linux-Libre 5.11.21
>   bootloader: grub-efi
>   root device: UUID: *snip*
>   kernel: /gnu/store/53r3pzj18jshhkvm2ggiiy6gxqx5y2cr-linux-libre-5.11.21/bzImage
>   channels:
>     guix:
>       repository URL: https://git.savannah.gnu.org/git/guix.git
>       commit: a67c00f4f7ee0a70fce14a7e1907cce332c85813
>   configuration file: /gnu/store/wysjis8dnwrvkdmrcw234mm3fy5l9a1k-configuration.scm
>
> Will try to reboot into this generation later.

The error message you showed happens during “activation”, after the
/run/current-system link has been switched to the new generation.

Would be nice to see if this generation boots fine.

Thanks,
Ludo’.